Rated 5 out of 5 stars

Still works on Firefox 3.5 and 3.6. Nevertheless, it would be really nice if the developer could update it, since there isn't a compatible version for FF 3.5 yet and Firefox 3.6 is about to be released. I wonder if the author still has plans to maintain this extension.

As already mentioned on other reviews, you can override the compatibility check using Nightly Tester Tools, but I would recommend using the Add-on Compatibility Reporter, which also allows to report if the extension works or not and what doesn't work. This info is added to the developer hub, so it is very useful.